VSTGUI: Version 4.7

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Enumerations | Functions
Version 4.7
New classes

## Classes
class | CubicBezierTimingFunction
class | ICommandMenuItemTarget
| Command menu item target. More...
class | IOptionMenuListener
| Option menu listener. More...
class | ITextLabelListener
| Listener for a text label. More...
struct | DragDescription
| Drag description. More...
class | IDraggingSession
| Dragging session interface. More...
struct | DragEventData
| Drag event data. More...
class | IDropTarget
| Drop target interface. More...
class | IDragCallback
| Drag callback interface. More...
class | DragCallbackAdapter
| Drag callback interface adapter. More...
class | DragCallbackFunctions
| Drag callback interface adapter which calls std::functions. More...
class | DropTargetAdapter
| Drop target interface adapter. More...

## Enumerations
enum | DragOperation { Copy, Move, None }
| Drag operation. More...

## Functions
class | deprecated ("Use IViewListener/IViewEventListener instead")]] IViewMouseListener
| View Mouse Listener Interface.
class deprecated("Use ViewListenerAdapter/ViewEventListenerAdapter instead")]] ViewMouseListenerAdapter CMouseEventResult | viewOnMouseUp (CView *view, CPoint pos, CButtonState buttons) override
| View Mouse Listener Interface Adapter.

## Detailed Description

## Enumeration Type Documentation

enum DragOperation

Drag operation.

Enumerator
Copy | the drag will be or was copied
Move | the drag will be or was moved
None | no drag operation will occure or was happening

## Function Documentation

class VSTGUI::deprecated | ( | "Use IViewListener/IViewEventListener instead" |  | ) |

View Mouse Listener Interface.

class deprecated ( "Use ViewListenerAdapter/ViewEventListenerAdapter instead")]] ViewMouseListenerAdapter CMouseEventResult VSTGUI::viewOnMouseUp | ( | CView * | view,
|  | CPoint | pos,
|  | CButtonState | buttons
| ) |  |
| override

View Mouse Listener Interface Adapter.